Index: branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecCfg.cpp
===================================================================
--- branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1324)
+++ branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1325)
@@ -68,7 +68,4 @@
   string cfg_ReconFile;
   string cfg_TargetDecLayerIdSetFile;
-#if NH_3D
-  string cfg_ScaleOffsetFile;
-#endif
   string outputColourSpaceConvert;
   Int warnUnknowParameter = 0;
@@ -82,8 +79,4 @@
   ("ReconFile,o",               cfg_ReconFile,                         string(""), "reconstructed YUV output file name\n"
                                                                                    "YUV writing is skipped if omitted")
-#if NH_3D
-  ("ScaleOffsetFile,p",         cfg_ScaleOffsetFile,                   string(""), "file with coded scales and offsets")
-  ("Depth420OutputFlag",        m_depth420OutputFlag,                  true      , "Output depth layers in 4:2:0 ") 
-#endif
   ("WarnUnknowParameter,w",     warnUnknowParameter,                                  0, "warn for unknown configuration parameters instead of failing")
   ("SkipFrames,s",              m_iSkipFrame,                          0,          "number of frames to skip before random access")
@@ -148,7 +141,4 @@
   m_pchReconFile = cfg_ReconFile.empty() ? NULL : strdup(cfg_ReconFile.c_str());
 
-#if NH_3D
-  m_pchScaleOffsetFile = cfg_ScaleOffsetFile.empty() ? NULL : strdup(cfg_ScaleOffsetFile.c_str());
-#endif
 
   if (!m_pchBitstreamFile)
Index: branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecCfg.h
===================================================================
--- branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecCfg.h	(revision 1324)
+++ branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecCfg.h	(revision 1325)
@@ -93,8 +93,4 @@
   Bool          m_printPicOutput;                     ///< Print information on picture output
   Bool          m_printReceivedNalus;                 ///< Print information on received NAL units
-#if NH_3D
-  Char*         m_pchScaleOffsetFile;                   ///< output coded scale and offset parameters
-  Bool          m_depth420OutputFlag;                   ///< output depth layers in 4:2:0
-#endif
 
   Void xAppendToFileNameEnd( Char* pchInputFileName, const Char* pchStringToAppend, Char*& rpchOutputFileName); ///< create filenames
Index: branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1324)
+++ branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1325)
@@ -93,7 +93,4 @@
   m_cvsStartFound                   = false;
 #endif
-#if NH_3D
-    m_pScaleOffsetFile              = 0;
-#endif
 }
 
@@ -139,11 +136,4 @@
     m_pchReconFile = NULL;
   }
-#if NH_3D
-  if (m_pchScaleOffsetFile)
-  {
-    free (m_pchScaleOffsetFile);
-    m_pchScaleOffsetFile = NULL;
-  }
-#endif
 }
 
@@ -401,7 +391,4 @@
   // initialize global variables
   initROM();
-#if NH_3D_DMM
-  initWedgeLists();
-#endif
 #else
   // create decoder class
@@ -444,11 +431,4 @@
   m_cTDecTop.destroy();
 #endif
-#if NH_3D
-  m_cCamParsCollector.uninit();
-  if( m_pScaleOffsetFile )
-  {
-    ::fclose( m_pScaleOffsetFile );
-  }
-#endif
 }
 
@@ -456,7 +436,4 @@
 {
 
-#if NH_3D
-  m_cCamParsCollector.setCodeScaleOffsetFile( m_pScaleOffsetFile );
-#endif
 #if NH_MV
   m_dpb.setPrintPicOutput(m_printPicOutput);
@@ -1035,10 +1012,4 @@
     xFinalizeAU ( );
 
-#if NH_3D
-  if( m_cCamParsCollector.isInitialized() )
-  {
-    m_cCamParsCollector.setSlice( 0 );
-  }
-#endif
    xFlushOutput(); 
    m_dpb.emptyAllSubDpbs();
@@ -1068,7 +1039,4 @@
     m_newVpsActivatedbyCurAu  = true; //TBD
     m_newVpsActivatedbyCurPic = true;
-#if NH_3D
-    m_dpb.setVPS( m_vps ); 
-#endif
   }
 
@@ -1192,17 +1160,4 @@
 Void TAppDecTop::xFinalizeAU()
 {
-#if NH_3D
-  if ( !m_curAu.empty())
-  {
-    for (TComList<TComPic*>::iterator it = m_curAu.begin(); it != m_curAu.end(); it++)
-    {
-      TComPic* pic = (*it);
-      if ( !pic->getHasGeneratedRefPics() )
-      {
-        pic->compressMotion(1);
-      }
-    }
-  }
-#endif
 }
 
@@ -2664,7 +2619,4 @@
       m_tDecTop[ decIdx ]->setDecodedSEIMessageOutputStream(&os);
     }
-#if NH_3D
-   m_tDecTop[ decIdx ]->setCamParsCollector( &m_cCamParsCollector );
-#endif
 
     // append pic list of new decoder to PicLists
@@ -2888,15 +2840,4 @@
   }
 
-#if NH_3D
-  if( m_pchScaleOffsetFile )
-  {
-    m_pScaleOffsetFile = ::fopen( m_pchScaleOffsetFile, "wt" );
-    if (!m_pScaleOffsetFile)
-    {
-      fprintf(stderr, "\nUnable to open file `%s' for writing decoded Camera Parameters messages\n", m_pchScaleOffsetFile);
-      exit(EXIT_FAILURE);
-    }
-  }
-#endif
 }
 
@@ -2987,9 +2928,5 @@
       conf.getWindowTopOffset()    + defDisp.getWindowTopOffset(),
       conf.getWindowBottomOffset() + defDisp.getWindowBottomOffset(),
-#if NH_3D
-      m_depth420OutputFlag && curPic->getIsDepth() ? CHROMA_420 : NUM_CHROMA_FORMAT
-#else
       NUM_CHROMA_FORMAT
-#endif
       , m_bClipOutputVideoToRec709Range);
   }
Index: branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecTop.h
===================================================================
--- branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecTop.h	(revision 1324)
+++ branches/HTM-15.1-MV-draft-4/source/App/TAppDecoder/TAppDecTop.h	(revision 1325)
@@ -117,8 +117,4 @@
 
   Bool                            m_reconOpen           [ MAX_NUM_LAYERS ]; ///< reconstruction file opened
-#if NH_3D
-  FILE*                           m_pScaleOffsetFile;
-  CamParsCollector                m_cCamParsCollector;
-#endif
 #else
   TDecTop                         m_cTDecTop;                     ///< decoder class
Index: branches/HTM-15.1-MV-draft-4/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-15.1-MV-draft-4/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1324)
+++ branches/HTM-15.1-MV-draft-4/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1325)
@@ -73,7 +73,4 @@
 #if NH_MV
   MULTIVIEWMAIN = 6,
-#if NH_3D
-  MAIN3D = 8, 
-#endif
 #endif
   MONOCHROME_8      = 1008,
@@ -129,7 +126,4 @@
   m_targetPivotValue = NULL;
 
-#if KWU_RC_MADPRED_E0227
-  m_depthMADPred = 0;
-#endif
 }
 
@@ -194,21 +188,4 @@
       m_GOPListMvc[i] = NULL;
     }
-  }
-#endif
-#if NH_3D
-#if NH_3D_VSO
-  if (  m_pchVSOConfig != NULL)
-  {
-    free (  m_pchVSOConfig );
-  }
-#endif
-  if ( m_pchCameraParameterFile != NULL )
-  {
-    free ( m_pchCameraParameterFile ); 
-  }
-
-  if ( m_pchBaseViewCameraNumbers != NULL )
-  {
-    free ( m_pchBaseViewCameraNumbers ); 
   }
 #endif
@@ -267,7 +244,4 @@
   }
 #endif
-#if NH_3D
-  in>>entry.m_interCompPredFlag;
-#endif
 
   return in;
@@ -303,7 +277,4 @@
 #if NH_MV
   ,{"multiview-main"     , Profile::MULTIVIEWMAIN      },
-#if NH_3D
-   {"3d-main"            , Profile::MAIN3D             }
-#endif
 #endif
 
@@ -332,7 +303,4 @@
 #if NH_MV
     {"multiview-main"     , MULTIVIEWMAIN   },
-#if NH_3D
-    {"3d-main"            , MAIN3D          },
-#endif
 #endif
     {"monochrome",         MONOCHROME_8     },
@@ -774,10 +742,5 @@
   string        cfg_levels; 
   string        cfg_tiers; 
-#if NH_3D
-  cfg_dimensionLength.push_back( 2  );  // depth
-  cfg_dimensionLength.push_back( 32 );  // texture 
-#else
   cfg_dimensionLength.push_back( 64 ); 
-#endif 
 #endif
   string cfg_dQPFile;
@@ -848,16 +811,9 @@
 #if NH_MV
   ("NumberOfLayers",        m_numberOfLayers     , 1,                     "Number of layers")
-#if !NH_3D
   ("ScalabilityMask",       m_scalabilityMask    , 2                    , "Scalability Mask: 2: Multiview, 8: Auxiliary, 10: Multiview + Auxiliary")    
-#else
-  ("ScalabilityMask",       m_scalabilityMask    , 3                    , "Scalability Mask, 1: Texture 3: Texture + Depth ")    
-#endif  
   ("DimensionIdLen",        m_dimensionIdLen     , cfg_dimensionLength  , "Number of bits used to store dimensions Id")
   ("ViewOrderIndex",        m_viewOrderIndex     , std::vector<Int>(1,0), "View Order Index per layer")
   ("ViewId",                m_viewId             , std::vector<Int>(1,0), "View Id per View Order Index")
   ("AuxId",                 m_auxId              , std::vector<Int>(1,0), "AuxId per layer")
-#if NH_3D
-  ("DepthFlag",             m_depthFlag          , std::vector<Int>(1,0), "Depth Flag")
-#endif
   ("TargetEncLayerIdList",  m_targetEncLayerIdList, std::vector<Int>(0,0), "LayerIds in Nuh to be encoded")  
   ("LayerIdInNuh",          m_layerIdInNuh        , std::vector<Int>(1,0), "LayerId in Nuh")  
@@ -1125,11 +1081,4 @@
   ( "RCForceIntraQP",                                 m_RCForceIntraQP,                                 false, "Rate control: force intra QP to be equal to initial QP" )
 
-#if KWU_RC_VIEWRC_E0227
-  ("ViewWiseTargetBits, -vtbr" ,  m_viewTargetBits,  std::vector<Int>(1, 32), "View-wise target bit-rate setting")
-  ("TargetBitAssign, -ta", m_viewWiseRateCtrl, false, "View-wise rate control on/off")
-#endif
-#if KWU_RC_MADPRED_E0227
-  ("DepthMADPred, -dm", m_depthMADPred, (UInt)0, "Depth based MAD prediction on/off")
-#endif
 #if NH_MV
 // A lot of this stuff could should actually be derived by the encoder.
@@ -1315,50 +1264,4 @@
   ("OutputVpsInfo",                                   m_outputVpsInfo,                false                     ,"Output information about the layer dependencies and layer sets")
 #endif
-#if NH_3D
-/* Camera parameters */  
-  ("Depth420OutputFlag",                              m_depth420OutputFlag,           true                     , "Output depth layers in 4:2:0 ") 
-  ("CameraParameterFile,cpf",                         m_pchCameraParameterFile,    (Char *) 0,                    "Camera Parameter File Name")
-  ("BaseViewCameraNumbers",                           m_pchBaseViewCameraNumbers,  (Char *) 0,                    "Numbers of base views")
-  ("CodedCamParsPrecision",                           m_iCodedCamParPrecision,      STD_CAM_PARAMETERS_PRECISION, "precision for coding of camera parameters (in units of 2^(-x) luma samples)" )
-
-#if NH_3D_VSO
-  /* View Synthesis Optimization */
-  ("VSOConfig",                                       m_pchVSOConfig            , (Char *) 0                    ,"VSO configuration")
-  ("VSO",                                             m_bUseVSO                 , false                         ,"Use VSO" )    
-  ("VSOMode",                                         m_uiVSOMode               , (UInt)   4                    ,"VSO Mode")
-  ("LambdaScaleVSO",                                  m_dLambdaScaleVSO         , (Double) 1                    ,"Lambda Scaling for VSO")
-  ("VSOLSTable",                                      m_bVSOLSTable             , true                          ,"Depth QP dependent video/depth rate allocation by Lagrange multiplier" )      
-  ("ForceLambdaScaleVSO",                             m_bForceLambdaScaleVSO    , false                         ,"Force using Lambda Scale VSO also in non-VSO-Mode")
-  ("AllowNegDist",                                    m_bAllowNegDist           , true                          ,"Allow negative Distortion in VSO")
-                                                                                                              
-  ("UseEstimatedVSD",                                 m_bUseEstimatedVSD        , true                          ,"Model based VSD estimation instead of rendering based for some encoder decisions" )      
-  ("VSOEarlySkip",                                    m_bVSOEarlySkip           , true                          ,"Early skip of VSO computation if synthesis error assumed to be zero" )      
-                                                                                                               
-  ("WVSO",                                            m_bUseWVSO                , true                          ,"Use depth fidelity term for VSO" )
-  ("VSOWeight",                                       m_iVSOWeight              , 10                            ,"Synthesized View Distortion Change weight" )
-  ("VSDWeight",                                       m_iVSDWeight              , 1                             ,"View Synthesis Distortion estimate weight" )
-  ("DWeight",                                         m_iDWeight                , 1                             ,"Depth Distortion weight" )
-#endif //HHI_VSO
-/* 3D- HEVC Tools */                                                            
-  ("QTL"                   ,                          m_bUseQTL                 , true                          , "Use depth quad tree limitation (encoder only)" )
-  ("IvMvPredFlag"          ,                          m_ivMvPredFlag            , BoolAry1d(2,true)             , "Inter-view motion prediction"              )
-  ("IvMvScalingFlag"       ,                          m_ivMvScalingFlag         , BoolAry1d(2,true)             , "Inter-view motion vector scaling"          )
-  ("Log2SubPbSizeMinus3"   ,                          m_log2SubPbSizeMinus3     , 0                             , "Log2 minus 3 of sub Pb size"               )
-  ("IvResPredFlag"         ,                          m_ivResPredFlag           , true                          , "Inter-view residual prediction"            )
-  ("DepthRefinementFlag"   ,                          m_depthRefinementFlag     , true                          , "Depth to refine disparity"                 )
-  ("ViewSynthesisPredFlag" ,                          m_viewSynthesisPredFlag   , true                          , "View synthesis prediction"                 )
-  ("DepthBasedBlkPartFlag" ,                          m_depthBasedBlkPartFlag   , true                          , "Depth base block partitioning"             )
-  ("MpiFlag"               ,                          m_mpiFlag                 , true                          , "Motion inheritance from texture to depth"  )
-  ("Log2MpiSubPbSizeMinus3",                          m_log2MpiSubPbSizeMinus3  , 0                             , "Log2 minus 3 of sub Pb size for MPI"       )
-  ("IntraContourFlag"      ,                          m_intraContourFlag        , true                          , "Intra contour mode"                        )
-  ("IntraWedgeFlag"        ,                          m_intraWedgeFlag          , true                          , "Intra wedge mode and segmental depth DCs"  )
-  ("IntraSdcFlag"          ,                          m_intraSdcFlag            , true                          , "Intra depth DCs"                           )
-  ("QtPredFlag"            ,                          m_qtPredFlag              , true                          , "Quad tree prediction from texture to depth")
-  ("InterSdcFlag"          ,                          m_interSdcFlag            , true                          , "Inter depth DCs"                           )
-  ("DepthIntraSkip"        ,                          m_depthIntraSkipFlag      , true                          , "Depth intra skip mode"                     )
-  ("DLT"                   ,                          m_useDLT                  , true                          , "Depth lookup table"                        )
-  ("IlluCompEnable"        ,                          m_abUseIC                 , true                          , "Enable illumination compensation"          )
-  ("IlluCompLowLatencyEnc" ,                          m_bUseLowLatencyICEnc     , false                         , "Enable low-latency illumination compensation encoding")
-#endif //NH_3D
     
   ;
@@ -1555,9 +1458,5 @@
   if( cfg_profiles.empty() )
   {
-#if NH_3D
-    cfg_profiles = string("main main 3d-main");
-#else
     cfg_profiles = string("main main multiview-main");    
-#endif
     fprintf(stderr, "\nWarning: No profiles given, using defaults: %s", cfg_profiles.c_str() );
     anyEmpty = true; 
@@ -1798,7 +1697,4 @@
   xResizeVector( m_auxId );
 
-#if NH_3D
-  xResizeVector( m_depthFlag ); 
-#endif
   xResizeVector( m_fQP ); 
 
@@ -2004,85 +1900,4 @@
   }
 
-#if NH_3D
-#if NH_3D_VSO
-  // Table base optimization 
-  // Q&D
-  Double adLambdaScaleTable[] = 
-  {  0.031250, 0.031639, 0.032029, 0.032418, 0.032808, 0.033197, 0.033586, 0.033976, 0.034365, 0.034755, 
-  0.035144, 0.035533, 0.035923, 0.036312, 0.036702, 0.037091, 0.037480, 0.037870, 0.038259, 0.038648, 
-  0.039038, 0.039427, 0.039817, 0.040206, 0.040595, 0.040985, 0.041374, 0.041764, 0.042153, 0.042542, 
-  0.042932, 0.043321, 0.043711, 0.044100, 0.044194, 0.053033, 0.061872, 0.070711, 0.079550, 0.088388, 
-  0.117851, 0.147314, 0.176777, 0.235702, 0.294628, 0.353553, 0.471405, 0.589256, 0.707107, 0.707100, 
-  0.753550, 0.800000  
-  }; 
-  if ( m_bUseVSO && m_bVSOLSTable )
-  {
-    Int firstDepthLayer = -1; 
-    for (Int layer = 0; layer < m_numberOfLayers; layer++ )
-    {
-      if ( m_depthFlag[ layer ])
-      {
-        firstDepthLayer = layer;
-        break; 
-      }
-    }
-    AOT( firstDepthLayer == -1 );
-    AOT( (m_iQP[firstDepthLayer] < 0) || (m_iQP[firstDepthLayer] > 51));
-    m_dLambdaScaleVSO *= adLambdaScaleTable[m_iQP[firstDepthLayer]]; 
-  }
-  if ( m_bUseVSO && m_uiVSOMode == 4)
-  {
-    m_cRenModStrParser.setString( m_iNumberOfViews, m_pchVSOConfig );
-    m_cCameraData     .init     ( ((UInt) m_iNumberOfViews ), 
-      m_internalBitDepth[ CHANNEL_TYPE_LUMA],
-      (UInt)m_iCodedCamParPrecision,
-      m_FrameSkip,
-      (UInt)m_framesToBeEncoded,
-      m_pchCameraParameterFile,
-      m_pchBaseViewCameraNumbers,
-      NULL,
-      m_cRenModStrParser.getSynthViews(),
-      LOG2_DISP_PREC_LUT );
-  }
-  else if ( m_bUseVSO && m_uiVSOMode != 4 )
-  {
-    m_cCameraData     .init     ( ((UInt) m_iNumberOfViews ), 
-      m_internalBitDepth[ CHANNEL_TYPE_LUMA],
-      (UInt)m_iCodedCamParPrecision,
-      m_FrameSkip,
-      (UInt)m_framesToBeEncoded,
-      m_pchCameraParameterFile,
-      m_pchBaseViewCameraNumbers,
-      m_pchVSOConfig,
-      NULL,
-      LOG2_DISP_PREC_LUT );
-  }
-  else
-  {
-    m_cCameraData     .init     ( ((UInt) m_iNumberOfViews ), 
-      m_internalBitDepth[ CHANNEL_TYPE_LUMA],
-      (UInt) m_iCodedCamParPrecision,
-      m_FrameSkip,
-      (UInt) m_framesToBeEncoded,
-      m_pchCameraParameterFile,
-      m_pchBaseViewCameraNumbers,
-      NULL,
-      NULL,
-      LOG2_DISP_PREC_LUT );
-  }
-#else
-  m_cCameraData     .init     ( ((UInt) m_iNumberOfViews ), 
-    m_internalBitDepth[ CHANNEL_TYPE_LUMA],
-    (UInt) m_iCodedCamParPrecision,
-    m_FrameSkip,
-    (UInt) m_framesToBeEncoded,
-    m_pchCameraParameterFile,
-    m_pchBaseViewCameraNumbers,
-    NULL,
-    NULL,
-    LOG2_DISP_PREC_LUT );
-#endif
-  m_cCameraData.check( false, true );
-#endif
 
   // check validity of input parameters
@@ -2262,16 +2077,6 @@
   xConfirmPara( (m_layerIdInNuh.size()!=1) && (m_layerIdInNuh.size() < m_numberOfLayers) , "LayerIdInNuh must be given for all layers. ");
 
-#if NH_3D
-  xConfirmPara( m_scalabilityMask != 2 && m_scalabilityMask != 3, "Scalability Mask must be equal to 2 or 3. ");
-#else
   xConfirmPara( m_scalabilityMask != 2 && m_scalabilityMask != 8 && m_scalabilityMask != 10, "Scalability Mask must be equal to 2, 8 or 10");
-#endif
-
-#if NH_3D
-  if ( m_scalabilityMask & ( 1 << DEPTH_ID ) )
-  {
-    m_dimIds.push_back( m_depthFlag ); 
-  }
-#endif
+
 
   m_dimIds.push_back( m_viewOrderIndex );   
@@ -2340,5 +2145,4 @@
       xConfirmPara( allEqual , "Each layer shall have a different position in scalability space." );
 
-#if !H_3D_FCO
       if ( numDiff  == 1 ) 
       {
@@ -2351,5 +2155,4 @@
         xConfirmPara( shallBeButIsNotIncreasing,  "DimensionIds shall be increasing within one dimension. " );
       }
-#endif
     }
   }
@@ -2558,13 +2361,4 @@
   xConfirmPara(  m_maxNumMergeCand < 1,  "MaxNumMergeCand must be 1 or greater.");
   xConfirmPara(  m_maxNumMergeCand > 5,  "MaxNumMergeCand must be 5 or smaller.");
-#if NH_3D
-  xConfirmPara( m_log2SubPbSizeMinus3 < 0,                                        "Log2SubPbSizeMinus3 must be equal to 0 or greater.");
-  xConfirmPara( m_log2SubPbSizeMinus3 > 3,                                        "Log2SubPbSizeMinus3 must be equal to 3 or smaller.");
-  xConfirmPara( (1<< ( m_log2SubPbSizeMinus3 + 3) ) > m_uiMaxCUWidth,              "Log2SubPbSizeMinus3 must be  equal to log2(maxCUSize)-3 or smaller.");
- 
-  xConfirmPara( m_log2MpiSubPbSizeMinus3 < 0,                                        "Log2MpiSubPbSizeMinus3 must be equal to 0 or greater.");
-  xConfirmPara( m_log2MpiSubPbSizeMinus3 > 3,                                        "Log2MpiSubPbSizeMinus3 must be equal to 3 or smaller.");
-  xConfirmPara( (1<< (m_log2MpiSubPbSizeMinus3 + 3)) > m_uiMaxCUWidth,               "Log2MpiSubPbSizeMinus3 must be equal to log2(maxCUSize)-3 or smaller.");
-#endif
 #if ADAPTIVE_QP_SELECTION
 #if NH_MV
@@ -2629,17 +2423,4 @@
   }
 
-#if NH_3D
-  xConfirmPara( m_pchCameraParameterFile    == 0                ,   "CameraParameterFile must be given");
-  xConfirmPara( m_pchBaseViewCameraNumbers  == 0                ,   "BaseViewCameraNumbers must be given" );
-  xConfirmPara( m_iNumberOfViews != m_cCameraData.getBaseViewNumbers().size() ,   "Number of Views in BaseViewCameraNumbers must be equal to NumberOfViews" );
-  xConfirmPara    ( m_iCodedCamParPrecision < 0 || m_iCodedCamParPrecision > 5,       "CodedCamParsPrecision must be in range of 0..5" );
-#if NH_3D_VSO
-    if( m_bUseVSO )
-    {
-      xConfirmPara(   m_pchVSOConfig            == 0                             ,   "VSO Setup string must be given");
-      xConfirmPara( m_uiVSOMode > 4 ,                                                "VSO Mode must be less than 5");
-    }
-#endif
-#endif
   // max CU width and height should be power of 2
   UInt ui = m_uiMaxCUWidth;
@@ -3386,8 +3167,4 @@
   xPrintParaVector( "AuxId", m_auxId );
 #endif
-#if NH_3D
-  xPrintParaVector( "DepthLayerFlag", m_depthFlag ); 
-  printf("Coded Camera Param. Precision     : %d\n", m_iCodedCamParPrecision);  
-#endif
 #if NH_MV  
   xPrintParaVector( "QP"               , m_fQP                ); 
@@ -3556,48 +3333,8 @@
     printf("ForceIntraQP                      : %d\n", m_RCForceIntraQP );
 
-#if KWU_RC_MADPRED_E0227
-    printf("Depth based MAD prediction   : %d\n", m_depthMADPred);
-#endif
-#if KWU_RC_VIEWRC_E0227
-    printf("View-wise Rate control       : %d\n", m_viewWiseRateCtrl);
-    if(m_viewWiseRateCtrl)
-    {
-
-      printf("ViewWiseTargetBits           : ");
-      for (Int i = 0 ; i < m_iNumberOfViews ; i++)
-        printf("%d ", m_viewTargetBits[i]);
-      printf("\n");
-    }
-    else
-    {
-      printf("TargetBitrate                : %d\n", m_RCTargetBitrate );
-    }
-#endif
 
   }
 
   printf("Max Num Merge Candidates          : %d\n", m_maxNumMergeCand);
-#if NH_3D
-  printf("BaseViewCameraNumbers             : %s\n", m_pchBaseViewCameraNumbers ); 
-  printf("Coded Camera Param. Precision     : %d\n", m_iCodedCamParPrecision);
-#if NH_3D_VSO
-  printf("Force use of Lambda Scale         : %d\n", m_bForceLambdaScaleVSO );
-
-  if ( m_bUseVSO )
-  {    
-    printf("VSO Lambda Scale                  : %5.2f\n", m_dLambdaScaleVSO );
-    printf("VSO Mode                          : %d\n",    m_uiVSOMode       );
-    printf("VSO Config                        : %s\n",    m_pchVSOConfig    );
-    printf("VSO Negative Distortion           : %d\n",    m_bAllowNegDist ? 1 : 0);
-    printf("VSO LS Table                      : %d\n",    m_bVSOLSTable ? 1 : 0);
-    printf("VSO Estimated VSD                 : %d\n",    m_bUseEstimatedVSD ? 1 : 0);
-    printf("VSO Early Skip                    : %d\n",    m_bVSOEarlySkip ? 1 : 0);   
-    if ( m_bUseWVSO )
-    {
-      printf("Dist. Weights (VSO/VSD/SAD)       : %d/%d/%d\n ", m_iVSOWeight, m_iVSDWeight, m_iDWeight );    
-    }    
-  }
-#endif //HHI_VSO
-#endif //NH_3D
   printf("\n");
 #if NH_MV
@@ -3661,32 +3398,4 @@
   printf(" SignBitHidingFlag:%d ", m_signHideFlag);
   printf("RecalQP:%d", m_recalculateQPAccordingToLambda ? 1 : 0 );
-#if NH_3D_VSO
-  printf(" VSO:%d ", m_bUseVSO   );
-  printf("WVSO:%d ", m_bUseWVSO );  
-#endif
-#if NH_3D
-  printf( "QTL:%d "                  , m_bUseQTL);
-  printf( "IlluCompEnable:%d "       , m_abUseIC);
-  printf( "IlluCompLowLatencyEnc:%d ",  m_bUseLowLatencyICEnc);
-  printf( "DLT:%d ", m_useDLT );
-
-
-  printf( "IvMvPred:%d %d "            , m_ivMvPredFlag[0] ? 1 : 0, m_ivMvPredFlag[1]  ? 1 : 0);
-  printf( "IvMvScaling:%d %d "         , m_ivMvScalingFlag[0] ? 1 : 0 , m_ivMvScalingFlag[1]  ? 1 : 0);
-
-  printf( "Log2SubPbSizeMinus3:%d "    , m_log2SubPbSizeMinus3            );
-  printf( "IvResPred:%d "              , m_ivResPredFlag          ? 1 : 0 );
-  printf( "DepthRefinement:%d "        , m_depthRefinementFlag    ? 1 : 0 );
-  printf( "ViewSynthesisPred:%d "      , m_viewSynthesisPredFlag  ? 1 : 0 );
-  printf( "DepthBasedBlkPart:%d "      , m_depthBasedBlkPartFlag  ? 1 : 0 );
-  printf( "Mpi:%d "                    , m_mpiFlag                ? 1 : 0 );
-  printf( "Log2MpiSubPbSizeMinus3:%d " , m_log2MpiSubPbSizeMinus3         );
-  printf( "IntraContour:%d "           , m_intraContourFlag       ? 1 : 0 );
-  printf( "IntraWedge:%d "             , m_intraWedgeFlag         ? 1 : 0 );
-  printf( "IntraSdc:%d "               , m_intraSdcFlag           ? 1 : 0 );
-  printf( "QtPred:%d "                 , m_qtPredFlag             ? 1 : 0 );
-  printf( "InterSdc:%d "               , m_interSdcFlag           ? 1 : 0 );
-  printf( "DepthIntraSkip:%d "         , m_depthIntraSkipFlag     ? 1 : 0 );
-#endif
 
   printf("\n\n");
Index: branches/HTM-15.1-MV-draft-4/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-15.1-MV-draft-4/source/App/TAppEncoder/TAppEncCfg.h	(revision 1324)
+++ branches/HTM-15.1-MV-draft-4/source/App/TAppEncoder/TAppEncCfg.h	(revision 1325)
@@ -44,9 +44,4 @@
 #include <sstream>
 #include <vector>
-#if NH_3D
-#include "TAppCommon/TAppComCamPara.h"
-#include "TLibRenderer/TRenModel.h"
-#include "TLibRenderer/TRenModSetupStrParser.h"
-#endif
 //! \ingroup TAppEncoder
 //! \{
@@ -80,7 +75,4 @@
   std::vector<Int>       m_viewOrderIndex;                    ///< view order index  
   std::vector<Int>       m_auxId;                             ///< auxiliary id
-#if NH_3D
-  std::vector<Int>       m_depthFlag;                         ///< depth flag
-#endif
   std::vector<Int>       m_targetEncLayerIdList;              ///< layer Ids in Nuh to be encoded
   std::vector<Int>       m_layerIdInNuh;                      ///< layer Id in Nuh for each layer 
@@ -133,8 +125,4 @@
 
 
-#if NH_3D
-  Bool      m_abUseIC;
-  Bool      m_bUseLowLatencyICEnc;
-#endif
 
 #endif
@@ -452,11 +440,4 @@
   Bool      m_RCForceIntraQP;                     ///< force all intra picture to use initial QP or not
   
-#if KWU_RC_VIEWRC_E0227
-  vector<Int>     m_viewTargetBits;
-  Bool      m_viewWiseRateCtrl;                              ///< Flag for using view-wise rate control
-#endif
-#if KWU_RC_MADPRED_E0227
-  UInt       m_depthMADPred;
-#endif
 
 ScalingListMode m_useScalingListId;                         ///< using quantization matrix
@@ -518,55 +499,4 @@
   Bool              m_outputVpsInfo;
 #endif
-#if NH_3D
-  // Output Format
-  Bool      m_depth420OutputFlag;                             ///< Output depth layers in 4:2:0 format
-  // Camera parameters
-  Char*     m_pchCameraParameterFile;                         ///< camera parameter file
-  Char*     m_pchBaseViewCameraNumbers;
-  TAppComCamPara m_cCameraData;
-  Int       m_iCodedCamParPrecision;                          ///< precision for coding of camera parameters
-#if NH_3D_VSO
-  Char*     m_pchVSOConfig;
-  Bool      m_bUseVSO;                                        ///< flag for using View Synthesis Optimization
-  Bool      m_bVSOLSTable;                                    ///< Depth QP dependent Lagrange parameter optimization (m23714)
-  Bool      m_bVSOEarlySkip;                                  ///< Early skip of VSO computation (JCT3V-A0093 modification 4)
-                                                              
-  //// Used for development by GT, might be removed later     
-  Double    m_dLambdaScaleVSO;                                ///< Scaling factor for Lambda in VSO mode
-  Bool      m_bForceLambdaScaleVSO;                           ///< Use Lambda Scale for depth even if VSO is turned off
-  Bool      m_bAllowNegDist;                                  ///< Allow negative distortion in VSO
-  UInt      m_uiVSOMode;                                      ///< Number of VSO Mode, 1 = , 2 = simple, org vs. ren, 3 = simple, ren vs. ren, 4 = full  
-                                                              
-  // SAIT_VSO_EST_A0033                                       
-  Bool      m_bUseEstimatedVSD;                               ///< Flag for using model based VSD estimation instead of VSO for some encoder decisions (JCT3V-A0033 modification 3)  
-                                                              
-  // LGE_WVSO_A0119                                           
-  Bool      m_bUseWVSO;                                       ///< flag for using View Synthesis Optimization  
-  Int       m_iVSOWeight;
-  Int       m_iVSDWeight;
-  Int       m_iDWeight;
-
-  // Ren Model String
-  TRenModSetupStrParser       m_cRenModStrParser;
-#endif
-
-  Bool       m_useDLT;                                        ///< flag for using DLT
-  Bool       m_bUseQTL;                                        ///< flag for using depth QuadTree Limitation
-  BoolAry1d  m_ivMvPredFlag;
-  BoolAry1d  m_ivMvScalingFlag;
-  Int        m_log2SubPbSizeMinus3;
-  Bool       m_ivResPredFlag;
-  Bool       m_depthRefinementFlag;
-  Bool       m_viewSynthesisPredFlag;
-  Bool       m_depthBasedBlkPartFlag;
-  Bool       m_mpiFlag;
-  Int        m_log2MpiSubPbSizeMinus3;
-  Bool       m_intraContourFlag;
-  Bool       m_intraWedgeFlag;
-  Bool       m_intraSdcFlag;
-  Bool       m_qtPredFlag;
-  Bool       m_interSdcFlag;
-  Bool       m_depthIntraSkipFlag; 
-#endif
   // internal member functions
   Void  xCheckParameter ();                                   ///< check validity of configuration values
